Package org.jboss.logmanager.config

# Interface ValueExpression.Resolver<T>

Type Parameters:
  `T` - the value type

Enclosing interface:
  `ValueExpression<T>`

public static interface ValueExpression.Resolver<T>
Resolves the value expression from an expression.

## Method Summary

Modifier and Type
Method
Description
`ValueExpression<T>`
`resolve(String expression)`
Resolves the value of an expression.

## Method Details

### resolve

ValueExpression<T> resolve(String expression)
Resolves the value of an expression.

Parameters:
  `expression` - the expression to parse
Returns:
  the value expression